Update ResourceGroup - m3ter Documentation
Update ResourceGroup
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": 123
}
'```
### Python
```python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{id}"
payload = {
"name": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', version: 123})
};
fetch('https://api.m3ter.com/organizations/{orgId}/resourcegroups/{type}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
Success Responses
{
"id": "<string>",
"version": 123,
"name": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
{
"message": "<string>"
}
{
"message": "<string>"
}
Authorizations
Authorization
string- header
- required
- m3ter supports machine to machine authentication using the
clientCredentialsOAuth2 flow.
Path Parameters
- orgId
string- required
- UUID of the organization
- id
string- required
- The UUID of the ResourceGroup to update.
- type
string- required
- The type of resource
Body
application/json
- name
string- required
- Required string length:
1 - 100
- version
integer<int64>
Response Details
200- application/json
- Return the updated ResourceGroup
- id
string- required
- The UUID of the entity.
- version
integer<int64>- The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
- name
string- The name of the Resource Group.
- dtCreated
string<date-time>- The date and time (in ISO-8601 format) when the Resource Group was created.
- dtLastModified
string<date-time>- The date and time (in ISO-8601 format) when the Resource Group was last modified.
- createdBy
string- The unique identifier (UUID) of the user who created this Resource Group.
- lastModifiedBy
string- The unique identifier (UUID) of the user who last modified this Resource Group.
- application/json